<template>
    <v-layout row wrap v-if="examen.is_curva">
        <v-flex class="mb-2">
            <v-card class="mx-auto">
                <v-card-title class="cart-rewrite text-xs-center">
                    <h2 class="subtitle">{{ examen.nombre }}</h2>
                </v-card-title>
                <v-card-text>
                    <examen-header v-bind:examen="examen" />
                    <v-divider></v-divider>
                    <curvas-body v-bind:resultados="examen.resultados.data" />
                    <examen-notas v-bind:notas="examen.nota" />
                    <examen-firmas v-bind:firmas="examen.validations"></examen-firmas>
                    <examen-curvas-image v-bind:imagen="getSingleData" />
                </v-card-text>
            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
import ExamenHeader from './ExamenHeader'
import CurvasBody from './CurvasBody'
import ExamenNotas from './ExamenNotas'
import ExamenFirmas from './ExamenFirmas'
import ExamenCurvasImage from './ExamenCurvasImage'

export default {
    name: 'ExamenCurvas',
    props: {
        examen: Array
    },
    components: {
        ExamenHeader,
        CurvasBody,
        ExamenNotas,
        ExamenFirmas,
        ExamenCurvasImage,
    },
    computed: {
        getSingleData() {
            return this.$props.examen.resultados.curva_img;
        }
    },
}
</script>

<style>

</style>
